=== renamed file 'loggerhead.conf' => 'loggerhead.conf.example'
--- loggerhead.conf	2006-12-21 01:09:00 +0000
+++ loggerhead.conf.example	2007-01-02 07:34:15 +0000
@@ -1,36 +1,64 @@
 
 # where's bzrlib?
 # (you only need this if you don't install bzr.)
-bzrpath='/Users/robey/code/bzr/bzr'
+#bzrpath = '/Users/robey/code/bzr/bzr'
 
 # if you want a special title on the front page, set it here:
-title='branches in loggerhead'
+title = 'branches in loggerhead'
 
 # group branches by project:
 [bazaar]
 
     # name of this project
     name = 'bazaar'
+    
+    # for the top browsing page, you can include a description, in raw HTML.
+    #description = 'Bazaar is a <i>revision control system</i>.'
+
+    # should we cache revisions and build a text index?  (HIGHLY recommended)
+    # this will be a folder containing a few files.  if the folder doesn't
+    # exist, it'll be created.
+    #
+    # all branches in this project will share the same cache, which is usually
+    # what you want if they share a repository.  if not, you can also specify
+    # this per-branch.
+    cachepath = '/Users/robey/code/bzr/.bzr/loggerhead-files'
 
     # each branch is in a sub-folder of the website, and the config
     # key describes that folder name:
     [[bzr.dev]]
 
         # where is the bazaar branch located?
-        folder='/Users/robey/code/bzr/bzr.dev'
+        folder = '/Users/robey/code/bzr/bzr.dev'
 
         # (optional) is there a friendier name for the branch that i should
         # use on the web pages?
-        #branch_name='bazaar-dev'
+        # you can also define this using the branch's nickname.
+        #branch_name = 'bazaar-dev'
 
         # (optional) short description for the top-level page
-        description="bazaar vcs development branch"
+        # you can also define this using the "description" config key in the
+        # branch's 'branch.conf'.
+        description = "bazaar vcs development branch"
 
         # (optional) public branch url for the top-level page
-        url='http://bazaar-ng.org/bzr/bzr.dev'
-
-        # should we cache revisions?  (HIGHLY recommended)  where?
-        # this will be a folder containing a couple of files.  if the folder
-        # doesn't already exist, we'll create it.
-        cachepath='/Users/robey/code/bzr/bzr.dev/.bzr/loggerhead-cache'
-
+        # you can also define this using the "public_url" config key in the
+        # branch's 'branch.conf'.
+        url = 'http://bazaar-ng.org/bzr/bzr.dev'
+
+
+# here's an example of an auto-published folder:
+[paramiko]
+    name = 'paramiko'
+    cachepath = '/Users/robey/code/paramiko/.bzr/loggerhead-files'
+    
+    # if an auto_publish_folder is given, any bazaar branches discovered in
+    # that folder will be published.  using each branch's 'branch.conf' to
+    # provide optional descriptions and public urls is a nice way to avoid
+    # having to do much configuration here.
+    auto_publish_folder = '/Users/robey/code/paramiko'
+    
+    # if all of the branches under an auto_publish_folder are exported to
+    # the same (base) public url, you can specify that url prefix here, and
+    # each discovered branch's public url will be generated.
+    url_prefix = 'http://www.example.com/code/paramiko'

